it.reply.healty.innovapuglia.mstaccuino.utility

## Class EntityBuilder

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.utility.EntityBuilder

-     @Component
      public class EntityBuilder
      extends Object

  Builder per le entities

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AltroProdotto` | `newAltroProdotto(AltroProdottoRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `ContattoMedNonConv` | `newContattoMedNonConvenzionale(ContattoMedicinaNonConvRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `ContattoStrutturaSanitaria` | `newContattoStrutturaSanitaria(ContattoStrutturaSanitariaRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Documento` | `newDocumento(DocumentoRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Dolore` | `newDolore(DoloreRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Evento` | `newEvento(EventoRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Farmaco` | `newFarmaco(FarmacoRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `InfoViaggio` | `newInfoViaggi(ViaggioRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Protesi` | `newProtesi(ProtesiAusilioRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Document` | `newRepoDocument(String id, DocumentoRequestDTO docRequest)` Generazione di una nuova entity
    `Rilevazione` | `newRilevazione(RilevazioneRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity
    `Sintomo` | `newSintomo(SintomoRequestDTO dto, NotaTaccuino nota)` Generazione di una nuova entity

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityBuilder

          public EntityBuilder()

  - ### Method Detail

    - #### newAltroProdotto

          public AltroProdotto newAltroProdotto(AltroProdottoRequestDTO dto,
                                                NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newContattoMedNonConvenzionale

          public ContattoMedNonConv newContattoMedNonConvenzionale(ContattoMedicinaNonConvRequestDTO dto,
                                                                   NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newContattoStrutturaSanitaria

          public ContattoStrutturaSanitaria newContattoStrutturaSanitaria(ContattoStrutturaSanitariaRequestDTO dto,
                                                                          NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newDocumento

          public Documento newDocumento(DocumentoRequestDTO dto,
                                        NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newRepoDocument

          public Document newRepoDocument(String id,
                                          DocumentoRequestDTO docRequest)

      Generazione di una nuova entity
      Parameters:
        `id` - ID del documento da salvare nel repository remoto
        `docRequest` - Il dto dal quale recuperare i dati
      Returns:
        L'entity pronta da salvare su db

    - #### newDolore

          public Dolore newDolore(DoloreRequestDTO dto,
                                  NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newEvento

          public Evento newEvento(EventoRequestDTO dto,
                                  NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newFarmaco

          public Farmaco newFarmaco(FarmacoRequestDTO dto,
                                    NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newInfoViaggi

          public InfoViaggio newInfoViaggi(ViaggioRequestDTO dto,
                                           NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newProtesi

          public Protesi newProtesi(ProtesiAusilioRequestDTO dto,
                                    NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newRilevazione

          public Rilevazione newRilevazione(RilevazioneRequestDTO dto,
                                            NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

    - #### newSintomo

          public Sintomo newSintomo(SintomoRequestDTO dto,
                                    NotaTaccuino nota)

      Generazione di una nuova entity
      Parameters:
        `dto` - Il dto dal quale recuperare i dati
        `nota` - La nota da associare all'entity
      Returns:
        L'entity pronta da salvare su db

Copyright © 2024. All rights reserved.